using System;
using System.Collections.Generic;

namespace WebSocket.Interfaces
{
    public interface IWebClient
    {
        void Message(string message);
        void Data(byte[] data);
        void Data(Dictionary<string, object> data);
        //void ReceivedPing(string data);
        //void ReceivedPong(string data);
        Dictionary<string, IMarketOHLCVData> GetMarketOHLCVData(Dictionary<string, object> data);

        void Connected();
        void Tick();

        void Closed(bool byUser, string reason);

        void Error(Exception ex);
        void Error(string reason);

        void SendFailed(string data, Exception ex);
    }
}
